import os

class Config(object):
    SECRET_KEY = os.environ.get('SECRET_KEY') or 'a-random-secret-key'
    SQLALCHEMY_DATABASE_URI = os.environ.get('DATABASE_URL') or \
        'postgresql+psycopg2://' + os.environ.get('USER') + ':@/pcv5'
    SQLALCHEMY_TRACK_MODIFICATIONS = False
    UPLOAD_FOLDER = './app/static/avatars'
    LOGIN_DISABLED=True

class V5Config(object):
    # Length allocated to privilege names (slugs)
    PRIVS_MAXLEN = 64
    # Forbidden user names
    FORBIDDEN_USERNAMES = [ "admin", "root", "webmaster", "contact" ]
    # Unauthorized message (@priv_required)
    UNAUTHORIZED_MSG = "Vous n'avez pas l'autorisation d'effectuer cette action !"
